Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geom
Class LinearRing

    java.lang.Object
      com.vividsolutions.jts.geom.Geometry
          com.vividsolutions.jts.geom.LineString
              com.vividsolutions.jts.geom.LinearRing

All Implemented Interfaces:
  Lineal, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

    public class LinearRing

extends LineString

Models an OGC SFS `LinearRing`. A `LinearRing` is a `LineString` which is both closed and simple. In other words, the first and last coordinate in the ring must be equal, and the interior of the ring must not self-intersect. Either orientation of the ring is allowed.

A ring must have either 0 or 4 or more points. The first and last points must be equal (in 2D). If these conditions are not met, the constructors throw an `IllegalArgumentException`

Version:
  1.7
See Also:
  Serialized Form

Field Summary
`static int` | `MINIMUM_VALID_SIZE` The minimum number of vertices allowed in a valid non-empty ring (= 4).

Fields inherited from class com.vividsolutions.jts.geom.LineString
`points`

Fields inherited from class com.vividsolutions.jts.geom.Geometry
`envelope, factory, SRID`

Constructor Summary
`LinearRing(Coordinate[] points, PrecisionModel precisionModel, int SRID)` Deprecated. Use GeometryFactory instead
`LinearRing(CoordinateSequence points, GeometryFactory factory)` Constructs a `LinearRing` with the vertices specifed by the given `CoordinateSequence`.

Method Summary
`int` | `getBoundaryDimension()` Returns `Dimension.FALSE`, since by definition LinearRings do not have a boundary.
`java.lang.String` | `getGeometryType()` Returns the name of this Geometry's actual class.
`boolean` | `isClosed()` Tests whether this ring is closed.
`Geometry` | `reverse()` Creates a `LineString` whose coordinates are in the reverse order of this objects

Methods inherited from class com.vividsolutions.jts.geom.LineString
`apply, apply, apply, apply, clone, compareToSameClass, compareToSameClass, computeEnvelopeInternal, equalsExact, getBoundary, getCoordinate, getCoordinateN, getCoordinates, getCoordinateSequence, getDimension, getEndPoint, getLength, getNumPoints, getPointN, getStartPoint, isCoordinate, isEmpty, isEquivalentClass, isRing, normalize`

Methods inherited from class com.vividsolutions.jts.geom.Geometry
`buffer, buffer, buffer, checkNotGeometryCollection, compare, compareTo, compareTo, contains, convexHull, coveredBy, covers, crosses, difference, disjoint, distance, equal, equals, equals, equalsExact, equalsNorm, equalsTopo, geometryChanged, geometryChangedAction, getArea, getCentroid, getEnvelope, getEnvelopeInternal, getFactory, getGeometryN, getInteriorPoint, getNumGeometries, getPrecisionModel, getSRID, getUserData, hashCode, hasNonEmptyElements, hasNullElements, intersection, intersects, isGeometryCollection, isRectangle, isSimple, isValid, isWithinDistance, norm, overlaps, relate, relate, setSRID, setUserData, symDifference, toString, toText, touches, union, union, within`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MINIMUM_VALID_SIZE

    public static final int MINIMUM_VALID_SIZE

  The minimum number of vertices allowed in a valid non-empty ring (= 4). Empty rings with 0 vertices are also valid.

  See Also:
    Constant Field Values

Constructor Detail

### LinearRing

    public LinearRing(Coordinate[] points,
                      PrecisionModel precisionModel,
                      int SRID)

  Deprecated. Use GeometryFactory instead

  Constructs a `LinearRing` with the given points.

  Parameters:
    `points` - points forming a closed and simple linestring, or `null` or an empty array to create the empty geometry. This array must not contain `null` elements.
    `precisionModel` - the specification of the grid of allowable points for this `LinearRing`
    `SRID` - the ID of the Spatial Reference System used by this `LinearRing`
  Throws:
    `java.lang.IllegalArgumentException` - if the ring is not closed, or has too few points

### LinearRing

    public LinearRing(CoordinateSequence points,
                      GeometryFactory factory)

  Constructs a `LinearRing` with the vertices specifed by the given `CoordinateSequence`.

  Parameters:
    `points` - a sequence points forming a closed and simple linestring, or `null` to create the empty geometry.
  Throws:
    `java.lang.IllegalArgumentException` - if the ring is not closed, or has too few points

Method Detail

### getBoundaryDimension

    public int getBoundaryDimension()

  Returns `Dimension.FALSE`, since by definition LinearRings do not have a boundary.

  Overrides:
    `getBoundaryDimension` in class `LineString`
  Returns:
    Dimension.FALSE

### isClosed

    public boolean isClosed()

  Tests whether this ring is closed. Empty rings are closed by definition.

  Overrides:
    `isClosed` in class `LineString`
  Returns:
    true if this ring is closed

### getGeometryType

    public java.lang.String getGeometryType()

  Description copied from class: `Geometry`
  Returns the name of this Geometry's actual class.

  Overrides:
    `getGeometryType` in class `LineString`
  Returns:
    the name of this `Geometry`s actual class

### reverse

    public Geometry reverse()

  Description copied from class: `LineString`
  Creates a `LineString` whose coordinates are in the reverse order of this objects

  Overrides:
    `reverse` in class `LineString`
  Returns:
    a `LineString` with coordinates in the reverse order

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD